### Function

# Gtk enumerate_printers

#### Declaration [src]

    void
    gtk_enumerate_printers (
      GtkPrinterFunc func,
      gpointer data,
      GDestroyNotify destroy,
      gboolean wait
    )

#### Description [src]

Calls a function for all `GtkPrinter`s.

If `func` returns `TRUE`, the enumeration is stopped.

#### Parameters

`func` | `GtkPrinterFunc`
| A function to call for each printer.
`data` | `gpointer`
| User data to pass to `func`.
`destroy` | `GDestroyNotify`
| Function to call if `data` is no longer needed.
`wait` | `gboolean`
| If `TRUE`, wait in a recursive mainloop until all printers are enumerated; otherwise return early.